Skip to content

Fetches the user limits from Genesis and returns them.

GET
/api/v2/user/limit
groups
string

The Limits you want to receive.

Examples

shows both the account and user limits. This value is also used when the query param is omitted.

userLimits,accountLimits

Returns the limits of the user, and limits per account.

object
limits
object
user_day_limit
object
type
One of:
string
Allowed values: user paymentMethod currency
blockType
One of:
string
Allowed values: soft hard
subType
One of:
string
Allowed values: user_day_limit user_day_limit_fiat_to_coin user_day_limit_coin_to_fiat non_raised_limit_account_limit new_limited_account_limit number_of_non_raised_accounts_limit account_limit disabled_account_limit paypal_limit
boundaryType
One of:
string
Allowed values: maximum minimum
limit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
remainingLimit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
non_raised_limit_account_limit
object
type
One of:
string
Allowed values: user paymentMethod currency
blockType
One of:
string
Allowed values: soft hard
subType
One of:
string
Allowed values: user_day_limit user_day_limit_fiat_to_coin user_day_limit_coin_to_fiat non_raised_limit_account_limit new_limited_account_limit number_of_non_raised_accounts_limit account_limit disabled_account_limit paypal_limit
boundaryType
One of:
string
Allowed values: maximum minimum
limit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
remainingLimit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
new_limited_account_limit
object
type
One of:
string
Allowed values: user paymentMethod currency
blockType
One of:
string
Allowed values: soft hard
subType
One of:
string
Allowed values: user_day_limit user_day_limit_fiat_to_coin user_day_limit_coin_to_fiat non_raised_limit_account_limit new_limited_account_limit number_of_non_raised_accounts_limit account_limit disabled_account_limit paypal_limit
boundaryType
One of:
string
Allowed values: maximum minimum
limit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
remainingLimit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
number_of_non_raised_accounts_limit
object
type
One of:
string
Allowed values: user paymentMethod currency
blockType
One of:
string
Allowed values: soft hard
subType
One of:
string
Allowed values: user_day_limit user_day_limit_fiat_to_coin user_day_limit_coin_to_fiat non_raised_limit_account_limit new_limited_account_limit number_of_non_raised_accounts_limit account_limit disabled_account_limit paypal_limit
boundaryType
One of:
string
Allowed values: maximum minimum
limit

The total limit. This does not reflect the current state.

integer
Example
10
remainingLimit

The remaining limit to not exceed the threshold.

integer
Example
5
accounts
object
key
additional properties
object
identifier
required

Identifier for the users monetary account.

string
Example
545454_54_0330
name
required

Name of the holder of the monetary account.

string
Example
Development
type
required

The type of monetary account.

string
Example
creditcard
disabled
required

Indicates if the monetary account is disabled

boolean
verified
required

Indicates if the monetary account is verified.

boolean
Example
true
limitRaised
required

Indicates if the monetary account has a raised limit

boolean
totalSpent
required
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
limit
One of:
object
type
One of:
string
Allowed values: user paymentMethod currency
blockType
One of:
string
Allowed values: soft hard
subType
One of:
string
Allowed values: user_day_limit user_day_limit_fiat_to_coin user_day_limit_coin_to_fiat non_raised_limit_account_limit new_limited_account_limit number_of_non_raised_accounts_limit account_limit disabled_account_limit paypal_limit
boundaryType
One of:
string
Allowed values: maximum minimum
limit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
remainingLimit
One of:
object
amount
Internal value.

Amount, expressed in the smallest currency units (eg cents).

string
calculator
string
default: Money\Calculator\BcMathCalculator
currency
object
code
Currency code.
string
isStoredCard
required

Determines if the account can be used as a stored card.

boolean
lastUsedAt
required

Date the account was last used.

string format: date-time
Example
2025-09-01T00:00:00Z
isCoinToFiatAllowed

Indicates if coin-to-fiat orders are allowed for this account.

boolean
Example
true
Example
{
"545454_54_0330": {
"identifier": "545454_54_0330",
"name": "Development",
"type": "creditcard",
"disabled": false,
"verified": true,
"limitRaised": false,
"totalSpent": {
"amount": 3000,
"currency": "EUR"
},
"limit": null,
"isStoredCard": true,
"lastUsedAt": "2025-09-01T00:00:00Z"
},
"123456_78_9101": {
"identifier": "123456_78_9101",
"name": "Testing",
"type": "savings",
"disabled": false,
"verified": true,
"limitRaised": true,
"totalSpent": {
"amount": 1500,
"currency": "USD"
},
"limit": {
"type": "user",
"blockType": "hard",
"subType": "account_limit",
"boundaryType": "maximum",
"limit": 10,
"remainingLimit": 5
},
"isStoredCard": true,
"lastUsedAt": "2025-09-01T00:00:00Z"
}
}
limitedAccountTypes

List of payment method types where an account can be limited

Array<string>
Allowed values: applepay googlepay creditCard bancontact
Example
[
"applepay",
"googlepay",
"creditcard",
"bancontact"
]

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER038 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER038": {
"code": "ER038",
"message": "Bad credentials.",
"solution": "Provide valid credentials."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}